{% for test in testresults %}
<div class="row py-2">
    <div class="col-6">
        Upload date: {{ upload_date }}
    </div>
    <div class="col-6{% if test.Run == 'Success' %} bg-success{% elif test.Run == 'Fail' %} bg-danger{% endif %}">
        Status: {{ test.Run }}
    </div>
</div>
<div class="row py-2">
    <div class="col-6">
        Test {{ test.Test }}
    </div>
    <div class="col-6">
        Hit: {{ test.Hint }}
    </div>
</div>
<div class="row py-2">
    <div class="col-6">
        Pattern: {{ test.Pattern }}
    </div>
    <div class="col-6">
        Not OK: {{ test.NOK }}
    </div>
</div>
<div class="row py-2">
    <div class="col-12">
        Knowledge Link: <a href='{{ test.Knowledge }}'>{{ test.Knowledge }}</a>
    </div>
</div>
{% endfor %}